package fr.eni.ep3jasp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ImportResource;

@SpringBootApplication
@ImportResource({"classpath*:applicationContext.xml"})
public class Chap01ArchitectureApplication {

	/**
	 * Le logger jcl-over-slf4j
	 */
	private static final Logger logger = LoggerFactory.getLogger(Chap01ArchitectureApplication.class);

    public static void main(String[] args) {
        SpringApplication.run(Chap01ArchitectureApplication.class, args);
    }

}
