package fr.eni.ep3jasp.angular.backend;

import fr.eni.ep3jasp.angular.backend.repositories.CompteRepository;
import fr.eni.ep3jasp.angular.backend.domain.Compte;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
public class CompteCommandLineRunner implements CommandLineRunner {

    private final CompteRepository repository;

    public CompteCommandLineRunner(CompteRepository repository) {
      this.repository = repository;
    }

    @Override
    public void run(String... strings) throws Exception {
      repository.save(new Compte(2741, "Prêts participatifs"));
      repository.save(new Compte(2742, "Prêts aux associés"));
      repository.save(new Compte(2743, "Prêts au personnel"));
      repository.findAll().forEach(System.out::println);
    }
}
