package fr.eni.ep3jasp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
//import org.apache.log4j.LogManager;
//import org.apache.log4j.Logger;
//import org.apache.logging.log4j.*;

import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class Ex1Logs implements CommandLineRunner {
  //Logback
  private static final Logger LOGGER = LoggerFactory.getLogger(Ex1Logs.class);
  //Log4j
  //private static Logger LOGGER = LogManager.getLogger(Ex1Logs.class);

  public static void main(String[] args) {
    SpringApplication.run(Ex1Logs.class, args);
  }
  @Override
  public void run(String... args) throws Exception {
    LOGGER.trace("Test des logs:trace");
    LOGGER.debug("Test des logs:debug");
    LOGGER.info("Test des logs:info");
    LOGGER.warn("Test des logs:warn");
    LOGGER.error("Test des logs:error");

    LOGGER.info(Colorise.GREEN_BOLD + "Texte en vert gras" + Colorise.RESET);
    LOGGER.info(Colorise.RED + "Texte en rouge" + Colorise.RESET);
    LOGGER.info(Colorise.GREEN_BACKGROUND + Colorise.RED + "Texte en rouge sur fond vert" + Colorise.RESET);
  }
}
