package fr.eni.ep3jasp;

import lombok.extern.slf4j.Slf4j;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.web.client.RestTemplate;


/**
 * Exemple exemple simple de client REST. Il s'utilise avec le serveur REST du chapitre 9 
 *
 * @author $author$
 * @version $Revision$
  */
@Slf4j
public class ClientRest {
  /**
   * Point d'entrée
   *
   * @param args Les arguments de la ligne de commande
   */
  public static void main(String[] args) {
    ApplicationContext ctx = new ClassPathXmlApplicationContext(new String[] {
          "applicationContext.xml"
        });

    RestTemplate restTemplate = new RestTemplate();
    Utilisateur utilisateur = restTemplate.getForObject("http://localhost:8080/chap09.sr2/utilisateurs/2",
        Utilisateur.class);

    log.info(utilisateur.toString());
  }
}
