/**
 *
 */
package fr.eni.ep3jasp.business;

import fr.eni.ep3jasp.domain.Utilisateur;

import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.LinkedHashMap;
import java.util.Map;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
  */
@Service
public class SimulationBDDContactService implements UtilisateurService {
  /**
   * DOCUMENT ME!
   */
  private Map<Long, Utilisateur> utilisateurs = new LinkedHashMap<Long, Utilisateur>();

  /**
   * Creates a new SimulationBDDContactService object.
   */
  public SimulationBDDContactService() {
    Utilisateur utilisateur = new Utilisateur(1, "Sarah", "CONNOR");
    utilisateurs.put(utilisateur.getId(), utilisateur);
    utilisateur = new Utilisateur(2, "John", "CONNOR");
    utilisateurs.put(utilisateur.getId(), utilisateur);
    utilisateur = new Utilisateur(3, "Cameron", "PHILLIPS");
    utilisateurs.put(utilisateur.getId(), utilisateur);
    utilisateur = new Utilisateur(4, "Derek", "REESE");
    utilisateurs.put(utilisateur.getId(), utilisateur);
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  @Override
  public Collection<Utilisateur> select() {
    return utilisateurs.values();
  }

  /**
   * DOCUMENT ME!
   *
   * @param id DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  @Override
  public Utilisateur get(Long id) {
    return utilisateurs.get(id);
  }

  /**
   * DOCUMENT ME!
   *
   * @param utilisateur DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  @Override
  public Utilisateur add(Utilisateur utilisateur) {
    //		utilisateur.setId(idCounter.incrementAndGet());
    utilisateurs.put(utilisateur.getId(), utilisateur);

    return utilisateur;
  }

  /**
   * DOCUMENT ME!
   *
   * @param utilisateur DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  @Override
  public Utilisateur update(Utilisateur utilisateur) {
    utilisateurs.put(utilisateur.getId(), utilisateur);

    return utilisateur;
  }
}
