package fr.eni.spring5.jsf.web.controllers;

import fr.eni.spring5.jsf.services.TacheDao;
import fr.eni.spring5.jsf.web.model.Tache;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.context.annotation.Scope;

import org.springframework.stereotype.Component;

import java.util.List;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
  */
@Component("tacheBackingBean")
@Scope("request")
public class TacheBackingBean {
  /**
   * DOCUMENT ME!
   */
  private static final Logger logger = LoggerFactory.getLogger(TacheBackingBean.class);

  /**
   * DOCUMENT ME!
   */
  private Tache tache = new Tache();

  /**
   * DOCUMENT ME!
   */
  private List<Tache> taches;

  /**
   * DOCUMENT ME!
   */
  @Autowired
  private TacheDao TacheDao;

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public String getMessage() {
    logger.debug("Returning message from tache home bean");

    return "Hello from Spring";
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public Tache getTache() {
    return tache;
  }

  /**
   * DOCUMENT ME!
   */
  public void saveTache() {
    TacheDao.save(tache);
    tache = new Tache();
    invalidateTaches();
  }

  /**
   * DOCUMENT ME!
   */
  private void invalidateTaches() {
    taches = null;
  }

  /**
   * DOCUMENT ME!
   *
   * @return DOCUMENT ME!
   */
  public List<Tache> getTaches() {
    if (taches == null) {
      taches = TacheDao.list();
    }

    return taches;
  }
}
