package fr.eni.ep3jasp.angular.backend.controllers;

import fr.eni.ep3jasp.angular.backend.domain.Compte;
import fr.eni.ep3jasp.angular.backend.repositories.CompteRepository;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class CompteController {
  private CompteRepository repository;

  public CompteController(CompteRepository repository) {
    this.repository = repository;
  }

  @GetMapping("/lescomptes")
  @CrossOrigin(origins = "http://localhost:4200")
  public List<Compte> getComptes() {

    return repository.findAll();
  }
}