import { Component, OnInit } from '@angular/core';
import { CompteService } from '../shared';

@Component({
  selector: 'app-compte-list',
  templateUrl: './compte-list.component.html',
  styleUrls: ['./compte-list.component.css'],
  providers: [CompteService]
})
export class CompteListComponent implements OnInit {
  comptes: Array<any>;

  constructor(private compteService: CompteService) { }

  ngOnInit() {
    this.compteService.getAll().subscribe(
      data => {
        this.comptes = data;
      },
      error => console.log(error)
    )
  }
}
