package fr.eni.ep3jasp;

import org.springframework.stereotype.Component;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.time.Duration;

@Component
public class MaLibrairieReactive {
    public Flux<String> nombre10(int from) {
        return Flux.range((int) from, 3)
                .map(i -> i +""+i);
    }

    public Mono<String> avecDelay(String valeur, int delaySeconds) {
        return Mono.just(valeur)
                .delaySubscription(Duration.ofSeconds(delaySeconds));
    }
}